/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 14:24:58
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-09-03 18:11:37
 * @FilePath: \Game-Backstage-Management-System\src\router\home.ts
 * @Description:
 *
 */

export default [
  {
    path: '/home',
    redirect: '/home/overView',
    name: 'Home',
    children: [
      {
        path: 'overView',
        name: 'OverView',
        icon: 'PieChart',
        cnName: '数据总览',
        component: () => import('@/views/Home/Overview/OverView.vue'),
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'infoManage',
        cnName: '信息管理',
        icon: 'Histogram',
        showChild: true,
        children: [
          {
            path: 'gameManageView',
            name: 'GameManageView',
            cnName: '游戏管理',
            component: () => import('@/views/Home/InfoManage/GameManageView.vue'),
            meta: {
              needKeepAlive: true
            }
          },
          {
            path: 'playerManageView',
            name: 'PlayerManageView',
            cnName: '玩家管理',
            component: () => import('@/views/Home/InfoManage/PlayerManageView.vue'),
            meta: {
              needKeepAlive: true
            }
          }
        ]
      },
      {
        path: 'infoManage',
        cnName: '数据分析',
        icon: 'DataAnalysis',
        showChild: true,
        children: [
          {
            path: 'keepView',
            name: 'KeepView',
            cnName: '留存分析',
            component: () => import('@/views/Home/Analysis/KeepView.vue'),
            meta: {
              needKeepAlive: true
            }
          },
          {
            path: 'userTrendView',
            name: 'UserTrendView',
            cnName: '用户趋势',
            component: () => import('@/views/Home/Analysis/UserTrendView.vue'),
            meta: {
              needKeepAlive: true
            }
          }
        ]
      }
    ]
  }
]
